
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android 后台发送邮件示例 (收集应用异常信息+Demo代码)_Android / iVAN</title>

    <meta name="description" content="Android 后台发送邮件示例 (收集应用异常信息+Demo代码)_Android 上一次说了如何收集我们已经发布的应用程序的错误信息,方便我们调试完善程序.上次说的收集方法主要是把收集的信息通过Http的post请求把相关的异常信息变成请求参数发送到服务器.这个对做过web开发的人来说,服务端处理是很简单.不过对很多没做个web的人来说却是麻烦事.今天介绍个更简单的方法,我们把异常信息收集后,通过后台发送邮件方法,把相关异常信息发送到我们指定的邮箱里面. 这篇文章是实用性文章,不会涉及太多理论分析.主要是让大家看了以后知道怎么在自己的应用里面添加这个功能. 1.第三方库这次发">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android 后台发送邮件示例 (收集应用异常信息+Demo代码)_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>上一次说了如何收集我们已经发布的应用程序的错误信息，方便我们调试完善程序。上次说的收集方法主要是把收集的信息通过Http的post请求把相关的异常信息变成请求参数发送到服务器。这个对做过web开发的人来说，服务端处理是很简单。不过对很多没做个web的人来说却是麻烦事。今天介绍个更简单的方法，我们把异常信息收集后，通过后台发送邮件方法，把相关异常信息发送到我们指定的邮箱里面。</p>
<p>这篇文章是实用性文章，不会涉及太多理论分析。主要是让大家看了以后知道怎么在自己的应用里面添加这个功能。</p>
<p><strong>1、第三方库<br /></strong>这次发送后台邮件需要用到三个第三方的库，这几个库在java里面应该是比较有名的了。以前做个java 邮件开发的朋友，应该多多少少都会用过。Android默认发送邮件的方法，需要通过Intent调用系统邮件程序，这个对于我们这种后台操作不实用。</p>
<p>•activation.jar<br />•additionnal.jar<br />•mail.jar</p>
<p>下面我Demo例子里面会附上这三个包，这几个包网上也很多资源，可以自行下载。</p>
<p><strong>2、邮件信息<br /></strong>因为我们是后台发送邮件，因此需要收集一些必要信息，因为不需要用户输入这些信息。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>{<br />    // 发送邮件的服务器的IP和端口    <br />    private String mailServerHost;    <br />    private String mailServerPort = "25";  </p>
<p>    // 邮件发送者的地址    <br />    private String fromAddress;    <br />    // 邮件接收者的地址    <br />    private String toAddress;    <br />    // 登陆邮件发送服务器的用户名和密码    <br />    private String userName;    <br />    private String password;    <br />    // 是否需要身份验证    <br />    private boolean validate = true;    <br />    // 邮件主题    <br />    private String subject;    <br />    // 邮件的文本内容    <br />    private String content;    <br />    // 邮件附件的文件名    <br />    private String[] attachFileNames;      <br />}</p>
<p>上面这些都是我们发送邮件的时候需要用到的信息。这里需要注意的是，我们发送后台邮件需要给出账号密码等敏感信息。这些邮件信息，我们可以在程序里面编写好，这样我们发送邮件的时候，就不需要用户输入任何信息。<br />
<br /><strong>3、邮件发送<br /></strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>public boolean sendTextMail(MailSenderInfo mailInfo) <br />    {<br />        // 判断是否需要身份认证    <br />        MyAuthenticator authenticator = null;    <br />        Properties pro = mailInfo.getProperties();   <br />        if (mailInfo.isValidate()) <br />        {    <br />            // 如果需要身份认证，则创建一个密码验证器    <br />            authenticator = new MyAuthenticator(mailInfo.getUserName(), mailInfo.getPassword());    <br />        }   <br />        // 根据邮件会话属性和密码验证器构造一个发送邮件的session    <br />        Session sendMailSession = Session.getDefaultInstance(pro,authenticator);    <br />        try <br />        {    <br />            // 根据session创建一个邮件消息    <br />            Message mailMessage = new MimeMessage(sendMailSession);    <br />            // 创建邮件发送者地址    <br />            Address from = new InternetAddress(mailInfo.getFromAddress());    <br />            // 设置邮件消息的发送者    <br />            mailMessage.setFrom(from);    <br />            // 创建邮件的接收者地址，并设置到邮件消息中    <br />            Address to = new InternetAddress(mailInfo.getToAddress());    <br />            mailMessage.setRecipient(Message.RecipientType.TO,to);    <br />            // 设置邮件消息的主题    <br />            mailMessage.setSubject(mailInfo.getSubject());    <br />            // 设置邮件消息发送的时间    <br />            mailMessage.setSentDate(new Date());    <br />            // 设置邮件消息的主要内容    <br />            String mailContent = mailInfo.getContent();    <br />            mailMessage.setText(mailContent);    <br />            // 发送邮件    <br />            Transport.send(mailMessage);   <br />            return true;    <br />        } <br />        catch (MessagingException ex) <br />        {    <br />            ex.printStackTrace();    <br />        }    <br />        return false;    <br />    }</p>
<p>发送邮件主要是使用了mail.jar包里面的方法，首先会使用MyAuthenticator类判断一些用户验证信息，然后就是设置我们上面收集的邮件信息，最后会调用Transport.send()方法发送我们设置好的邮件。<br />
<br />跟我我个人测试效果，我是用QQ邮箱测试，发送的速度很快，调用发送接口，基本马上就能收到邮件了。下面提供的Demo例子里面也是基于QQ邮箱的，你可以根据需要修改一些邮箱参数（smtp、端口等信息）发送到其他邮箱服务器。利用这种方法，结合我前面一篇收集程序异常信息的文章，就可以把收集的异常信息发送到我们指定邮箱。</p>
<p>最后需要说明一点是，如果你是直接在后台发送邮件，最好给用户一个提示，或者让用户选择是否发送。否则容易背上流氓软件或者后台偷跑流量的骂名，O(∩_∩)O哈！另外也需要注意发送邮件的频率，避免发送太频繁，邮件服务商把你邮件屏蔽了。</p>
<p><strong>提供QQ邮箱发送邮件例子：点击下载<br /></strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 03:13:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/%e5%90%8e%e5%8f%b0%e5%8f%91%e9%80%81%e9%82%ae%e4%bb%b6/" title="后台发送邮件">后台发送邮件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android 后台发送邮件示例 (收集应用异常信息+Demo代码)_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwl1gdb.html" rel="bookmark">Android 后台发送邮件示例 &lpar;收集应用异常信息&plus;Demo代码&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天介绍个更简单的方法,我们把异常信息收集后,通过后台发送邮件方法,把相关异常信息发送到我们指定的邮箱里面   上一次说了如何收集我们已经发布的应用程序的错误信息,方便我们调试完善程序.上次说的收集方法主要是把收集的信息通过Http的post请求把相 关的异常信息变成请求参数发送到服务器.这个对做过web开发的人来说,服务端处理是很简单.不过对很多没做个web的人来说却是麻烦事.今天介绍个更简 单的方法,我们把异常信息收集后,通过后台发送邮件方法,把相关异常信息发送到我们指定的邮箱里面. 这篇文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdvN1db.html" rel="bookmark">整理几个android后台发送邮件的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				android后台发送Email(不借助Intent) Android的SDK使得它很容易从一个应用程序发送电子邮件,但只能通过Intent的方法,就是通过内置的邮件应用程序.这能满足大多数的需求,但如果你想在后台发送,就不行了.在这篇文章中,我将告诉你怎样在没有用户干预的情况下,在后台发送一封电子邮件. 开始之前需要先下载一个特殊版本的JavaMail API,这是专门为Android编写的. http://code.google.com/p/javamail-android/download			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ2LWwz.html" rel="bookmark">Android 后台发送邮件到指定邮箱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个主要是搜集app报错信息之后将信息上传到邮箱,请不要用做其他非法用途.代码请参考: MailUtils.Java public class MailUtils { /** * 创建一封只包含文本的简单邮件 * * @param session 和服务器交互的会话 * @param sendMail 发件人邮箱 * @param receiveMail 收件人邮箱 * @return * @throws Exception */ public static MimeMessage create			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQL8K0z.html" rel="bookmark">Android 中Crash时如何获取异常信息详解及实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 中Crash时如何获取异常信息详解 前言: 大家都知道,Android应用不可避免的会发生crash,无论你的程序写的多完美,总是无法完全避免crash的发生,可能是由于Android系统底层的bug,也可能是由于不充分的机型适配或者是糟糕的网络状况.当crash发生时,系统会kill掉你的程序,表现就是闪退或者程序已停止运行,这对用户来说是很不友好的,也是开发者所不愿意看到的,更糟糕的是,当用户发生了crash,开发者却无法得知程序为何crash,即便你想去解决这个crash,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boL0LgM.html" rel="bookmark">Python中捕捉详细异常信息的代码示例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家在开发的过程中可能时常碰到一个需求,需要把Python的异常信息输出到日志文件中. 网上的办法都不太实用,下面介绍一种实用的,从Python 2.7源码中扣出来的. 废话不说 直接上代码,代码不多,注释比较多而已. import sys, traceback traceback_template = '''Traceback (most recent call last): File &quot;%(filename)s&quot;, line %(lineno)s, in %(name)s %(ty			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmA9Vp.html" rel="bookmark">Android获取手机SIM卡运营商信息的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android获取手机SIM卡运营商信息的方法,对于Android程序设计有非常实用的价值.分享给大家供大家参考之用.具体方法如下: 主要功能代码如下: /** * 获取SIM卡运营商 * * @param context * @return */ public static String getOperators(Context context) { TelephonyManager tm = (TelephonyManager) context .getSystemServic			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0OX76b.html" rel="bookmark">android不读入内存获取图像宽高信息的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了android不读入内存获取图像宽高信息的方法.分享给大家供大家参考.具体如下: BitmapFactory.Options options = new BitmapFactory.Options(); options.inJustDecodeBounds = true; Bitmap bitmap = BitmapFactory.decodeFile(&quot;/sdcard/test.jpg&quot;, options); int w = options.outWidth; int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6gJwM.html" rel="bookmark">Android获取应用程序大小和缓存的实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				info package com.qin.appsize; import android.content.Intent; import android.graphics.drawable.Drawable; //Model类 ,用来存储应用程序信息 public class AppInfo { private String appLabel; //应用程序标签 private Drawable appIcon ; //应用程序图像 private Intent intent ; //启动应用程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1nydb.html" rel="bookmark">android指定DatePickerDialog样式并不显示年的实现代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有很多地方要用到DatePickerDialog.但有时项目用到的主题样式是很丑的样式,显示出来的真丑. 而我们真正想要的样式是这样的. 这个就漂亮多了.而且很多的时候都不需要显示&quot;年&quot;,下面看通过指定主题来显示自己想要的样式,并且通过反射机制来隐藏&quot;年&quot;,而且可以举一反三,对这上面的东西做任务的修改. private void showDatePickerDialog() { Calendar calendar = Calendar.getInstance();			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO6yqb.html" rel="bookmark" class="title">HTML条件注释判断浏览器版本命令总结</a>
					<div>
						 pse: collapse; font: 14px/24px 'Trebuchet MS', Helvetica, 'Microsoft YaHei', Georgia, sans-serif; w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2lXdM.html" rel="bookmark" class="title">photoshop将天空曝光过度的照片设计调成动画色调效果</a>
					<div>
						  给大家分享一个使用#photoshop#将天空曝光过度的照片设计调成动画色调效果!教程简单粗暴,处理过程详细明了,思路步骤也很值得参考学习,转给需要的小伙伴们吧!   分类: PS调色教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPZyKz.html" rel="bookmark" class="title">PhotoShop制作正片负冲效果教程</a>
					<div>
						效果 原图 一.我们首先打开photoshop,导入一张自己将要用来处理的图片. 二.选择通道面板里面的蓝色图层,再选择顶上图像菜单里的应用图像 三.对当前通道图层进行作业,选择反选和正片叠底效果,选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlvn8b.html" rel="bookmark" class="title">Photoshop制作金属光泽效果</a>
					<div>
						效果图: 不废话了,首先我们打开Photoshop,建立一个800×400像素的文档. 新建图层,命名为&quot;渐变背景&quot;,选择渐变工具(G),选取合适的颜色,比如#161515和#71 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1dk7b.html" rel="bookmark" class="title">怎样激活Win8&period;1系统</a>
					<div>
						Win8.1系统推出后,微软采取了多种方式的激活,可以通过在线激活,也可以通过电话激活,现但都比较麻烦,很多用户都操作不来,其实还有一种最简单激活方法,就是通过Win8.1激活工具来进行激活. Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB1NDz.html" rel="bookmark" class="title">Windows8应用怎么离线安装？</a>
					<div>
						  我们可以通过Windows 8新增的应用商店在本机安装各种应用,不过Windows 8应用的安装是有限制的,只能在应用商店下载在线安装.有没有办法,可以像传统的Windows软件一样,从任意地方下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr0Kep.html" rel="bookmark" class="title">win7系统怎么获取system权限？</a>
					<div>
						  日常使用系统中,经常有一些像恶意顽固程序及无法删除文件.需要高权限操作.丢失密码.要求最高私密性的问题.在本文中,将教你如何使用Windows 7最高权限账户system,解决各位TX的所有此类问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E7ARM.html" rel="bookmark" class="title">对U盘进行快速杀毒的新技巧</a>
					<div>
						  著名的Autorun病毒大家一定不陌生,为了降低这种病毒带来的威胁,微软甚至发补丁将Windows 7之前系统的自动播放功能统统关闭.至于,Windows 7本身对自动播放机制做了改变,检测到U盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6Yn3b.html" rel="bookmark" class="title">找回XP系统的输入法图标</a>
					<div>
						知道平时在使用电脑进行工作学习娱乐的时候,我们最常用到的功能是什么吗?其实是系统输入法,对于小编的说法肯定没有多少用户会反对.只要是使用电脑,就不可避免的要用到输入法,比如:网上聊天打字.搜索打字.w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6PR3M.html" rel="bookmark" class="title">又一个项目开源，阿里已成为中国开源的关键力量？</a>
					<div>
						今天,开源软件托管平台github上的阿里巴巴主页又增加了一个新项目:Atlas.Atlas意指巨人,它是Google闻名遐迩的波士顿机器人的外号,也是手机淘宝团队的移动容器化框架的代号.在去年的云栖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVlB8b.html" rel="bookmark" class="title">c&num;连接mysql不打开mysqld连不上</a>
					<div>
						问题描述 c#连接mysql不打开mysqld连不上 想问各位大神一个问题 我用c#程序连接mysql. 在没用mysqld 打开mysql服务的时候一直连不上,只有我在命令行侠打开mysqld,而且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My36xPz.html" rel="bookmark" class="title">用gridview显示数据，重复两行，检查了数据库是视图的问题</a>
					<div>
						问题描述 解决方案 解决方案二:在VS2005里用的gridview,调试时间数据重复两行显示,刚开始以为是数据绑定的问题,去视图里面看看,视图就重复了.解决方案三:那你查看视图sql脚本怎么写的解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0WwKM.html" rel="bookmark" class="title">远程安装winform程序</a>
					<div>
						问题描述 发布了一个winform程序到服务器iis上,有些客户端远程访问安装可以成功,有些客户端远程访问打开网页,点击安装按钮往下走一两步会提示初始化时出错,然后退出安装,怎么回事,是客户端缺少什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r3j3p.html" rel="bookmark" class="title">数组赋初值和数组传参</a>
					<div>
						我早知道了数组这样为数组赋初值:int a[5]={0}; 这样就都初始化为0 或者干脆设全局变量就可以自动初始化为0 但是下面的代码可以更方便的为数组赋初值: #include &lt;iostre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL77J5M.html" rel="bookmark" class="title">跪求各位大侠！外网如何访问内网的ftp服务器？</a>
					<div>
						问题描述 跪求各位大侠!外网如何访问内网的ftp服务器? 下图是我公司的网络配置图,我现在装一个ftp服务器,让外网用户也能访问ftp 问题一:需要在哪台服务器上装个serv-u ftp工具, 问题二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRP9Ab.html" rel="bookmark" class="title">低功耗蓝牙BLE以及iBeacon的开发笔记</a>
					<div>
						题记:不要放弃自己进步的机会 背景 公司刚接了一个大项目,其中涉及低功耗蓝牙BLE,使用ibeacon设备来与微信的摇一摇功能互动,达到宣传,以及用户在厅店参加活动的效果. 那么刚好我上一个项目完结, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjqRNM.html" rel="bookmark" class="title">我国成功研发拟态计算机 灵感来自章鱼</a>
					<div>
						&quot;新概念高效能计算机体系结构及系统研究开放&quot;项目21日在沪通过专家组验收,意味着由中国科学家首先提出的拟态计算机技术成为现实,可能为高性能计算机的发展开辟新方向.该科研项目带头人. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKdkDb.html" rel="bookmark" class="title">编程-c&sol;c&plus;&plus;关于结构体的函数中调用时如何存储数据并实现排序</a>
					<div>
						问题描述 c/c++关于结构体的函数中调用时如何存储数据并实现排序 template struct acc_med { inline acc_med(int poolHeight, int poolW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKn8vb.html" rel="bookmark" class="title">关于livtview中绑定数据源selectcommand重载的问题</a>
					<div>
						问题描述 本人做了一个在线考试的系统,里面对选择题项目采用listview读取.数据库中的题干和选项,且DataPager采用单项分页.数据源使用的是access数据库.我把accesss数据库的se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEayXM.html" rel="bookmark" class="title">双十利好不断蜗牛或将曝重大消息</a>
					<div>
						近日,有消息灵通人士透露,鉴于蜗牛在2009年的不俗业绩,以及今年作为蜗牛公司成立10周年这个双重利好,蜗牛公司近期将爆重大消息.同时有相关人士猜测,蜗牛是否会借此机正式宣布IPO启动. 有消息称,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRYy0p.html" rel="bookmark" class="title">开源纯正派之间的争论</a>
					<div>
						IDC在周一对外公布了最新一期的报告,其中内容表示,用作大数据分析的Hadoop和MapReduce编程框架相关的软件市场收益将从2011年的7700万美元激增到2016年的8.128亿美元,年复合增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwRl1M.html" rel="bookmark" class="title">java实现酷狗音乐临时缓存文件转换为MP3文件的方法&lowbar;java</a>
					<div>
						本文实例讲述了java实现酷狗音乐临时缓存文件转换为MP3文件的方法.分享给大家供大家参考,具体如下: 酷狗临时缓存文件,其实已经是吧MP3文件下载好了,只是名字看上去好像是通过md5算法重命名的.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0Jmlp.html" rel="bookmark" class="title">涪陵高端榨菜一包2200元价格远高过飞天茅台</a>
					<div>
						胡笑红 一包600克的榨菜标价2200元,昨天有消息曝出中信公司最近发布研报,涪陵榨菜今年将要向市场投放一种高端榨菜产品.对于这一价格已超过53度飞天茅台的榨菜,有分析师认为:这更多的是一种噱头. 除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YX94z.html" rel="bookmark" class="title">环信可以像安卓那样直接把官方demo集成到自己的app中不用自己去集成了吗？</a>
					<div>
						问题描述 环信可以像安卓那样直接把官方demo集成到自己的app中不用自己去集成了吗? 解决方案 这有集成方案http://community.easemob.com/article/82530773 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7K9EM.html" rel="bookmark" class="title">java时间戳转日期格式的实现代码&lowbar;java</a>
					<div>
						如下所示: 复制代码 代码如下: String beginDate=&quot;1328007600000&quot;; SimpleDateFormat sdf=new SimpleDateForm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWljPz.html" rel="bookmark" class="title">KameWitch是菜鸟一只，刚刚进入社区，真的什么都不会呢，汗&hellip;&hellip;关于java EE 的struts高级编程SSH框架的问题，有求于各位高手</a>
					<div>
						问题描述 1packagejapan.company.serviceImpl;2importjapan.company.bean.idol;3importjapan.company.service.I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmVlob.html" rel="bookmark" class="title">深信服张开翼：向云迁移要慢行！</a>
					<div>
						在几乎所有IT厂商.企业用户都把目光转向云计算的时候,深信服副总裁张开翼却唱起了&quot;反调&quot;.他认为,企业用户向云迁移要慢行. 近日,由中国电子学会主办.ZD至顶网等协办的第八届中国云 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdl6lp.html" rel="bookmark" class="title">默多克的&OpenCurlyDoubleQuote;天价&rdquo;离婚案 给房不给钱？</a>
					<div>
						媒体大亨默多克与邓文迪.http://www.aliyun.com/zixun/aggregation/31646.html&quot;&gt;媒体报道称,在提出离婚五个月后,两人可能和平分手. 可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyvKgkp.html" rel="bookmark" class="title">asp&period;net C&num; 常见问题 路径，文件，目录&comma;IO汇总 &lpar;1&sol;13&rpar;</a>
					<div>
						asp教程.net c# 常见问题 路径,文件,目录,io汇总 主要内容: 一.路径的相关操作,如判定路径是否合法,路径类型,路径的特定部分,合并路径,系统文件夹路径等内容: 二.相关通用文件对话框, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR7G0ep.html" rel="bookmark" class="title">美国的有线电视运营商正面临互联网视频服务的冲击</a>
					<div>
						6月13日消息,美国媒体援引消息人士的说法称,时代华纳有线和其他付费电视运营商正在向媒体公司提供多种激励计划,希望媒体公司不要将内容提供给类似英特尔和苹果公司推出的互联网娱乐服务. 根据消息人士的说法 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
